RagTime5Layout Class Reference documentation

RagTime5Layout Class Reference

the main class to read the text part of RagTime 56 file More...

`#include <RagTime5Layout.hxx>`

## Public Member Functions
| RagTime5Layout (RagTime5Document &doc)
| constructor
virtual | ~RagTime5Layout ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages

## Static Public Member Functions
static std::string | printType (unsigned long fileType)
| debug: print a file type

## Protected Member Functions
void | flushExtra ()
| sends the data which have not yet been sent to the listener
std::shared_ptr< RagTime5ClusterManager::Cluster > | readLayoutCluster (RagTime5Zone &zone, int zoneType)
| try to read a layout cluster
void | updateLayouts ()
| update all internal data: list of master layout, ...
void | updateLayout (RagTime5LayoutInternal::ClusterLayout &layout)
| check that a layout is valid, ...
bool | sendPageContents ()
| try to send the page content corresponding to the layout
bool | send (RagTime5LayoutInternal::ClusterLayout &cluster, MWAWListenerPtr listener, int page)
| try to send the cluster zone

## Protected Attributes
RagTime5Document & | m_document
| the parser
std::shared_ptr< RagTime5StructManager > | m_structManager
| the structure manager
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< RagTime5LayoutInternal::State > | m_state
| the state

## Private Member Functions
| RagTime5Layout (RagTime5Layout const &orig)=delete
RagTime5Layout & | operator= (RagTime5Layout const &orig)=delete

## Friends
class | RagTime5Document

## Detailed Description

the main class to read the text part of RagTime 56 file

## Constructor & Destructor Documentation

## ◆ RagTime5Layout() [1/2]

RagTime5Layout::RagTime5Layout | ( | RagTime5Document & | doc | ) |
| explicit

constructor

Referenced by numPages(), operator=(), and RagTime5Layout().

## ◆ ~RagTime5Layout()

RagTime5Layout::~RagTime5Layout | ( |  | ) |
| virtual

destructor

## ◆ RagTime5Layout() [2/2]

RagTime5Layout::RagTime5Layout | ( | RagTime5Layout const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ flushExtra()

void RagTime5Layout::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## ◆ numPages()

int RagTime5Layout::numPages | ( |  | ) | const

returns the number of pages

## ◆ operator=()

RagTime5Layout & RagTime5Layout::operator= | ( | RagTime5Layout const & | orig | ) |
| privatedelete

## ◆ printType()

std::string RagTime5Layout::printType | ( | unsigned long | fileType | ) |
| inlinestatic

debug: print a file type

Referenced by RagTime5LayoutInternal::LayoutCParser::parseHeaderZone(), and RagTime5LayoutInternal::LayoutCParser::parseZone().

## ◆ readLayoutCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5Layout::readLayoutCluster | ( | RagTime5Zone & | zone,
|  | int | zoneType )
| protected

try to read a layout cluster

## ◆ send()

bool RagTime5Layout::send | ( | RagTime5LayoutInternal::ClusterLayout & | cluster,
|  | MWAWListenerPtr | listener,
|  | int | page )
| protected

try to send the cluster zone

## ◆ sendPageContents()

bool RagTime5Layout::sendPageContents | ( |  | ) |
| protected

try to send the page content corresponding to the layout

## ◆ updateLayout()

void RagTime5Layout::updateLayout | ( | RagTime5LayoutInternal::ClusterLayout & | layout | ) |
| protected

check that a layout is valid, ...

Referenced by updateLayouts().

## ◆ updateLayouts()

void RagTime5Layout::updateLayouts | ( |  | ) |
| protected

update all internal data: list of master layout, ...

Referenced by numPages().

## ◆ version()

int RagTime5Layout::version | ( |  | ) | const

returns the file version

## Friends And Related Symbol Documentation

## ◆ RagTime5Document

friend class RagTime5Document
| friend

Referenced by RagTime5Document, and RagTime5Layout().

## Member Data Documentation

## ◆ m_document

RagTime5Document& RagTime5Layout::m_document
| protected

the parser

Referenced by RagTime5Layout(), readLayoutCluster(), sendPageContents(), and updateLayout().

## ◆ m_parserState

MWAWParserStatePtr RagTime5Layout::m_parserState
| protected

the parser state

Referenced by RagTime5Layout(), send(), and version().

## ◆ m_state

std::shared_ptr<RagTime5LayoutInternal::State> RagTime5Layout::m_state
| protected

the state

Referenced by numPages(), RagTime5Layout(), readLayoutCluster(), sendPageContents(), updateLayout(), and updateLayouts().

## ◆ m_structManager

std::shared_ptr<RagTime5StructManager> RagTime5Layout::m_structManager
| protected

the structure manager

Referenced by RagTime5Layout().

The documentation for this class was generated from the following files:

- RagTime5Layout.hxx
- RagTime5Layout.cxx